<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
$idcdin = $sesion->id;
   $id_inv=$_POST['c_id_inv'];
   $centro=$_POST['copia_clave_cd'];
   $cuenta=$_POST['copia_cuenta'];
   $gtot=$_POST['copia_gtot'];
   $ptos=$_POST['copia_ptos'];
   $icentro=$_POST['idcentro'];
   $ipago=$_POST['pago'];
    $tipop=$_POST['pagos'];
	$ibanco=$_POST['banco'];
	$ifecha=$_POST['fechad'];
	$ifolio=$_POST['folio'];
	if(isset($_POST['autbco'])){$bconf=$_POST['autbco'];}else{$bconf=NULL;}
	$comtarj=$_POST['comision'];
	$cdent=$_POST['entrega'];
	$gtot3=$_POST['totals'];
	$pago_ef=0;
	$pago_de=0;
	$pago_tc=0;
	$pago_vo=0;
	$pago_re=0;
	$pago_xp=0;
	
	
	if($bconf!=NULL){$ifolio=$bconf;}
   $qp3 = "select  idusuarios_ci, nombre from usuarios_ci where idusuarios_ci='$idcdin'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp3 = mysqli_fetch_object($cp3);	
//	$idcentro = $rp3->idcd;
	$nombrecentro=$rp3->nombre;
	$puntosok=$ptos;

   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   			 switch($tipop)
				{
					
					case "EFECTIVO": $pago_ef=$gtot; break;
					case "DEPOSITO": $pago_de=$gtot; break;
					case "TARJETA": $pago_tc=$gtot; break;
					case "PORPAGAR": $pago_xp=$gtot; break;
					
				}
			
			function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- A�o
				$mes = date('m',$FechaStamp); //<-- n�mero de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- D�a del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //D�a de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Mi&eacute;rcoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="S&aacute;bado"; break;
				}
			

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());

  		// **********************************************************************************
	   /*$qa = "SELECT consec FROM cdconsec WHERE idcd =$idcdin";
   $ca = mysqli_query($conexion, $qa) or die ('Error (select consec): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $trans = $ra[0]+1;
	};
	if($cdent==$idcdin){
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '$id_inv', '10',curdate(),curtime(),'$idcdin', '$trans','$cdent', 'ENTREGADO', curdate(),'$gtot'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
	}else{
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '$id_inv', '10',curdate(),curtime(),'$idcdin', '$trans','$cdent', 'PENDIENTE', '0000-00-00','$gtot'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
	}
	$qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$id_inv' and fechat= curdate() order by horat ASC";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $transac = $ra[0];
	};	
	
	
$qIP2 = "INSERT INTO pagovta
							    (	 
							     idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar 
							    ) 
							    VALUES 
							    (
								    '$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp'
							     )";
					$cIP2 = mysqli_query($conexion, $qIP2) or die ('Error (insert pagovta): ' . mysqli_error($conexion));	
	$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '$idcdin', '$transac','$gtot','0','$ifolio','$ibanco',  '$ifecha',  'INSCRIPCION'
							     )";
					$cP = mysqli_query($conexion, $qP) or die ('Error (insert depositos): ' . mysqli_error($conexion));
	
	for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A4[$k]=$_POST["copia_id_prod$k"];
					
					$qP1 = "INSERT INTO pedido
							    (	 
							    transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								 '$transac', '$A4[$k]','$A1[$k]'
							     )";
					$cP1 = mysqli_query($conexion, $qP1) or die ('Error (insert pedido): ' . mysqli_error($conexion));
					if($idcdin==$cdent){$qpl = "update stock set cantidad=cantidad-$A1[$k] where idprod=$A4[$k] and idcd='$idcdin'";
$cpl = mysqli_query($conexion, $qpl) or die ('Error (update stock): ' . mysqli_error($conexion));}
		   		}	
		   	}


 $qPP = "update cdconsec set consec='$trans' where idcd=$idcdin";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP update consec: '. mysqli_error($conexion));


**/



			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};
   

   $gtot=0;
   
   echo"<table><tr valign=\"top\" height=\"470\">";
	   		echo "<td>
			<img src=\"notatop.jpg\" width=\"300\">
			<font size=\"2\">
			<br><bR>
			<b>Pedido $idcdin -$trans Pago: $tipop </b> -INSCRIPCION";
			if($ipago==2){echo"<br> <b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT $hora<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<center>
			<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";$gtot+=$comtarj;}
			$gtot2=$gtot;
		   	echo "</table><table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos $ptos</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot3</td></tr>
			
			
			</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
			</td>";
			
			echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
			<font size=\"2\">
			<br><bR>
			<b> Pedido $idcdin -$trans Pago: $tipop </b>-INSCRIPCION";
			if($ipago==2){echo"<br> <b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT $hora<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<center>
			<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";}
			
		   	echo "</table><table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos $ptos</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot3</td></tr>
			
			</table></font></center><br>
			<font size=\"2\">COPIA - CD</font></td></tr>";

echo"<tr>";
	   		echo "<td><br>
			<font size=\"5\">
			<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
			&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
			
			echo"<br>$fechaT $hora
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			
			
		   	echo "<tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot3</td></tr>
			
			</table></font>
			<center><br><br>_____________________<br>Recib&iacute; Mercancia";echo"</td>";
			echo "<td width=\"30\"></td><td><br><font size=\"5\">
			<center><b>Control Admin.</B></center>
			<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc 
			 ";
			if($ipago==2){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT $hora
			
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<br>CD:<B>$idcdin</B> $nombrecentro
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";}
			
		   	echo "<tr><td></td><td align=\"center\">Puntos $ptos</td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot3</td></tr>
			
			</table></font>
			<center><table border=\"1\"><tr>
			<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
			</tr>
			<tr>
			<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
			</tr></table>";echo"</td></tr>";
?>

